libnvme(2)

NAME
enum nvme_data_tfr - Data transfer direction of the command

SYNOPSIS
enum nvme_data_tfr {
NVME_DATA_TFR_NO_DATA_TFR ,
NVME_DATA_TFR_HOST_TO_CTRL ,
NVME_DATA_TFR_CTRL_TO_HOST ,
NVME_DATA_TFR_BIDIRECTIONAL

};

Constants

NVME_DATA_TFR_NO_DATA_TFR
    No data transfer

NVME_DATA_TFR_HOST_TO_CTRL
    Host to controller

NVME_DATA_TFR_CTRL_TO_HOST
    Controller to host

NVME_DATA_TFR_BIDIRECTIONAL
    Bidirectional